Results 1 to 8 of 8

Thread: Error on nvidia-cuda-gdb_4.2.9-2_amd64.deb

  1. #1
    Join Date
    2013-Aug
    Posts
    3

    Exclamation Error on nvidia-cuda-gdb_4.2.9-2_amd64.deb

    Hi,

    im new in kali linux i try to install nvidia-cuda-gdb_4.2.9-2_amd64.deb using this command:

    cd /var/cache/apt/archives
    dpkg -i nvidia-cuda-toolkit_4.2.9-2_amd64.deb

    Give me an error:
    (Reading database ... 286538 files and directories currently installed.)
    Unpacking nvidia-cuda-toolkit (from nvidia-cuda-toolkit_4.2.9-2_amd64.deb) ...
    dpkg: error processing nvidia-cuda-toolkit_4.2.9-2_amd64.deb (--install):
    trying to overwrite '/usr/bin/bin2c', which is also in package winexe 1.1~20130620-0kali4
    Errors were encountered while processing:
    nvidia-cuda-toolkit_4.2.9-2_amd64.deb

    By the way im trying to follow this procedure: http://www.hackdig.com/?07/hack-4577.htm but i cant proceed because of this error. I have linux 64bit OS.

    I am much appreciated to anyone who can help me about this matter.. Thank you.

  2. #2
    Join Date
    2013-Apr
    Posts
    126
    the file you downloaded may be corrupted. Try to download a fresh one and try again

  3. #3
    Join Date
    2013-Aug
    Posts
    3
    I dont download it manually i used the apt-get upgrade and it gives me this error over and over again. I try fresh install of 32bit kali. sorry for my bad english.

  4. #4
    Join Date
    2013-Sep
    Posts
    22
    hi nvidia-cuda-toolkit and winexe packages conflict both try to put the same file in /usr/bin (bin2c i believe). currently you cant have both on the system together, if you need cuda toolkit you have to remove winexe,passing the hash, and some kali meta packages WITHOUT REMOVING THE REST OF KALI, that can only be done with aptitude and a lot of experience
    I am looking to solve the issue but reqires a rewrite of winexe, best we contact the winexe dev and get him to do it

  5. #5
    Join Date
    2013-Mar
    Posts
    43
    dpkg -i --force-overwrite /usr/bin/bin2c

  6. #6
    Join Date
    2013-Sep
    Posts
    1
    Quote Originally Posted by hausoo View Post
    dpkg -i --force-overwrite /usr/bin/bin2c
    dpkg-deb: error: `/usr/bin/bin2c' is not a debian format archive
    dpkg: error processing /usr/bin/bin2c (--install):
    subprocess dpkg-deb --control returned error exit status 2
    Errors were encountered while processing:
    /usr/bin/bin2c

  7. #7
    Join Date
    2013-Sep
    Posts
    22
    Quote Originally Posted by hausoo View Post
    dpkg -i --force-overwrite /usr/bin/bin2c
    eh ? isnt that assuming the bin2c is identical in both packages, is it ?

  8. #8
    Join Date
    2013-Aug
    Posts
    3
    Yeah thnx.. i used apt-get remove winex and the now i successfully installed the nvidia_cuda_toolkit and now im in good to go on pyrit cuda install.. hehe

Similar Threads

  1. Nvidia CUDA Nightmare
    By Homi576 in forum General Archive
    Replies: 7
    Last Post: 2017-03-24, 12:08
  2. Install Nvidia Cuda and Pyrit
    By silverwrath in forum How-To Archive
    Replies: 18
    Last Post: 2017-01-12, 22:45
  3. Not able to install cuda/Nvidia for crunch
    By TitoOP in forum General Archive
    Replies: 1
    Last Post: 2016-09-07, 11:53
  4. NVIDIA and CUDA with OPTIMUS
    By jolubedju in forum TroubleShooting Archive
    Replies: 1
    Last Post: 2014-06-03, 10:52

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •